## openjazz 0.1-1

=== debian/changelog ===
openjazz (0.1-1) unstable; urgency=low

  * Initial release

 -- CepiPerez <cepiperez@gmail.com>  Thu, 22 Apr 2010 09:36:31 -0300
