## openjazz 0.1-2

=== debian/changelog ===
openjazz (0.1-2) unstable; urgency=low

  * Installation fix

 -- CepiPerez <cepiperez@gmail.com>  Thu, 22 Apr 2010 10:36:31 -0300
