=== debian/control ===
Source: openjazz
Section: user/games
Priority: extra
Maintainer: CepiPerez <cepiperez@gmail.com>
Build-Depends: debhelper (>= 5), libsdl1.2-dev
Standards-Version: 3.7.2

Package: openjazz
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OpenJazz is a free, open-source version of the classic Jazz Jackrabbit games.
 To play, you will need the files from one of the original games. Copy them to /opt/openjazz folder.
 Check http://www.alister.eu/jazz/oj/faq.php for supported versions.
XSBC-Bugtracker: mailto:cepiperez@gmail.com
XSBC-Maemo-Display-Name: OpenJazz
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAAN1wAADdcBQiibeAAAAAd0
 SU1FB9oEFgw6Aj0+fVsAABPbSURBVGje1Vp3fFVF2n7m1NtL7k1PCCEFQiJI
 DUgRWAFRxAKCnwWxRqVY0MWKK7oLriKKoAQLYEEBCyUiAsIm9CihhB5CIPWm
 3ZJbT53vj/3QdXUFdd39ffPXOWfa88w777xznhng/3kiv3cHnfrk44ZbBiEW
 CcIfbEUw3IFEWzKcNid0CdBi7Vg4d8N/l0DREzeieO4aUEpByPdNPjXnma6V
 we1/kPjwaFbUu0OQHKqmUhNMhCeGdj3EHdYjlj3J9ozjXTtnn4JP8T0482kf
 BQUogA6Q22ZOpB+8veb3JTBj6V95/9mtn4TagkNFi6U00eXa8M3e6svb+abb
 otQHlVcBkw7OpVGDG0SnOiWUITzhwEoCOFVEvMUNRKnCEDGsqCra60OsOZDw
 /s61+6f+bhZ4Z/48R7Dy2DPUwIwq8a8v0JN02LJVOG2J0JvjsWNVDfyNoWj2
 gE71TdHGdNkUNrCCBo2l0CMEUBlQkYKIOgQzAWdgAGjQwwwEjwM93IMGDxrQ
 a9dj9835fQjMv/+2/LTt+4/0FwjMJiv1mAjZL4Sxpls9ook6LDQOcWqCJ999
 xcCy0v3h9o62YkEXTopGVhYtYoKq6TVWoyOlNnBSDMrh/mEp1EWWVKtVcJxK
 tqRM+9vnu7b9Lj6wbds2jBgxAlMmTOwsbimt6cVImGSJg0lQIPNG1MXFozil
 CpUFQfC+RFg8PVZ+umr9LRMfmJDCGTxjZEv0VonvKPQ1h41JXBcftYTX2oy2
 iLcl4Is3pXYkObM/ev6xVxsIIfR3deK5Y0Yty6w8MqUzCDrxHETK4mjhpQhC
 wrATHjyT2oD6a1nQmu7vyJFgfNBYc5VuD3NqWEO0TYEs6RBNPFirCoOBhWhj
 wBgZME1uRM85qqx2x2Erb67JSswtbnWOrM7hyu1RJcRkmgvDwfAxqajouV9O
 YPHs2Zg6Zw4W3XjjOnLowLhmnaLGJUA7dgaJJgem7/4StZ9+gYLiZejgzJiS
 VU1DFo74NRmkjUU3UxckGVIhMDyopkCnEtoiEXilIIKaD1HGB5oQgymZhT2J
 g8FohOIxy5zI+CxuxhZuj6L9sKhnOi+5/OPlG/f/Kgssnj07JbJp28kNZ05Y
 rpj6EPYyb6GhvR7/0+lJ3D91KtYVv4PYn16FRDQcdvL4wu1HSkKKh+Gj0Fgp
 0cAKJN2eir7J+ciwZVCrwU4s0OEPxtDY2oazTa2oaq+DR29AO9sCJgWwpEoU
 PCXeSp6myHnvbV97YAoh5NdNIUopnim6cxTnTv3yy8pSxjF6FwTZhSW3luL9
 lXuxumw55NP7kHiKYJTLjjfTw/TKy8aNXvLKyi3PvvBk/60HN9wc1UK3SXqT
 g3fqDCNQGFmBghfAKBpRFRPVjUECokBlCKDpiDYTMP60UGZi/rQN729YcR4L
 92sIfPTR22CSU/sOu+JyZl3Vu6AcYIkmwsKbUPLlVsiWSjhv0hFYzOFYMAqb
 yEK2xyRKqZEQUg6gnFL60CNPzxoYPHP4D50U4z1hnW6vcgVe0kL0UYfTuSmm
 ee0tDW0pDksclTW2MSbFDl454trqxx5/wnvnjDvx7sJ3f70Tr3lrF1dRt/I9
 zej9nzp9H1r0ALqLQ/DcvW9g6h9fAtzr4UxTcOqLEITSCC6zOWlDnPt4MiGZ
 DMv4nXbHMbMcsaRyYmGqriDT7sLpSAhbBfa6hzdvW/ev+l29+kZMnPjDqMz+
 4uD1PGXq7NetFW2x8T07X45A7Fvk5ISg1/dAXlYWQuxmJKScBG3jMeUpHUoa
 h4qtIdLRHnEbOwIc1xG2Sq3NcWxA0WW/P84aDMLobybxoQBUSbkpLSvbOn3+
 wK1r1hyjxbNmoWTXru8Hbs2xH+G5IIF7nrgHFTsrvnu3dS1LSM47vZR319Il
 c4+QSy5rw5U3xhBo5XHykIaKbz/GruUhVB+SEJevID1foyF7HAkbsz5upPZ7
 EoYX5PWe1D/Fdnn67qMm27LjLnf9NwYh4YSiW+wRRc32+Qd7S0N3jRk9uqxo
 yRtNvykOUEpxc9GE+CjnuzIzMXNoVAqzLof7vaBU9jpjrS6o3mdG3lAfCoZo
 qNxjwMFZKgQfAx+l6POQE9c8E8a2tTKOf919b3bOJUt5hz4s6q2fnGuw0QcK
 rcQnCehQWBBIqK7ngmW17F3KjpPmTqCT/yZy9Su3b5/8j5vDn0o/68S3zhwH
 v3hsp71nODctNxl1lRp8LZ7xJDroQbUpd04Pd1y6JSRg2dwPkHxIwciwBZWs
 hB0kiivyOFRXajhaySC5v7UX0s692xD1IMC2Qq5PIrLXiI76ZoiCCLOZwKkZ
 rQcaY3Pyx4+eVPToouUAEJ048YJT+mcJ8Ab7UKGTklN3MkQFQznp33MIAnXU
 9tWGbQsHZV29MT2t86QBl/XFV/vXU9nsIZkmM4LpnfHo0AHI7L4W67bqoNks
 rdHLRd9eFZFGDbRDAA2co2+3GElDUIeZ7YDKGOieDA+JXip127T3k08ppbmE
 ELp2zZoLEvhZH0jNt9xlym6+PIkpIG1NXnREJJRt203rmlrElvZzz2Umdi3d
 XvZ1dz9/0unMDcN43IRB9z8Ik1WFrf9BHK2Ootknk7ZDAqjHdTRFLHgxy9q9
 xC6id1PYuc6R0utViU2s3yV7+osDJfC8DCmkxZV/fWJfxZ7Dpy9mUflZCzis
 jvzmlhCY9LPoTDOwZfkRmK0iiWcSY52t3Q92MKUz+k44kZkTpNi0yoSaLhFc
 xfM4G/bC5QjBzjOQK23o7hg+c+HyR19NEi/TAaCkpOSNsWPH6n9+awwOHt7W
 yVygQ9YiYMFAFxUEQ4E8AF/+ZgLBWLjl3B4dYW8r6pUQEgoEJOUTyhPF0PC3
 k6XDekUTuxU2Q4kaEIoJqFqfgtLqE6gzVyHLrCA5iYNd7Vpzy9Xj3jgPHgDG
 jh2rA0D1keo+YkbzH8MOH2VVEB0ETIyH3WTbc7HL+s8S0KlhX1oP/r7qb6OI
 NoYBI1BzVCWWOBFcG5/c3qagxQM4nTKUDgGDrhwIVo/i0vyzOLRHRdM5G+LS
 /cq1E6bE/rHdh5++F8F2ydRs/HYFdbSaGBXQCaAFQaONltritR/uWfzunzH1
 zqcuSID55w/b6fbvnnt3KtwY62DDuUN5WHM0uCwEndTkcC/r2IcS2ewPtqyR
 yOljHDztDFrbZZCUNTAVrERDSwNWv27F6f2PwWW8cdrtU8f/oI8FLyyFIVGb
 IViEfE7i0XRSgBwQULeXIXYlYyGAiwL/IwKllYsxnAwHAGzZ9bZ71NUpibl8
 75NVJSr8x0VkB8y4pV8h646XKyc/MnmJHIoLf7ON4nCpDo4H1i3S8dZfY1j6
 koL6M72hsrJ0xbDu5SsWf/pdH3c8ch0AoL62RfA1RqB7nTBxBjQfoGg9Ahg0
 c93s2bPxi6fQ5v0rUVMJUnq4uEcsJLaJBtbsC+odOc4unx2LHOidwYZxU3cW
 /RMjhlyL++s2nwpXgoiKbQKCfg3JCQTs1xosaSL8RIPEEBDJKx49QQsqYvt2
 9zYUUgAYcPMYsJQfUoNts2obA5CPUuiUA4iKJFeav0/vfuVz5sz5dbLKpn0f
 prlSg95QQL3D26TpH3/y2QuGrj6LAE4QGAZSYxCiP4jL3Yk4wdcjaawfFaU6
 MtKNSMiWUfG0iJHfGsARBq8bkqANm4IUx0nt2htyFpmt/C6GSdooq77wF8u/
 zqwW9u2zGaym5gp+j8PhLNMUvXNiUtrzKxZ/cPYX60JfV7wGRTP1Ys2Ry3SV
 STXwWPzsrFW8nHz8jKswRhhVoyohhDAMWFaAKWoFCTOwCF4MHBZCfDwAhsOJ
 HQaUPaAhLyziqMEMTHwFOfnpoG1fHp50a9p1rtTMtqrjtcxVve7omPb0PS5C
 WLroheL2fwQ0e/Zs/GILbN79GkscwnyOZyzDc4ruBoBrbx5xc5N754fOfIW2
 n2CJTimsKRScESA8BScysOiJEPw8cjp7kNuVRVuLhIVPE8S8DKwqIOTeTrPz
 xhO7fPh2S9zhuqaqQP4nKzcsKvGVMG67jAHMDfpv1aQ4AAhyNM8qaKMiPuPI
 86NwuHrPvvApg25MVphYkIX3lIZQowZXNgOTi0JTdQSFRggWHkfqE3HscAwG
 qsJgB+IHawDHgAQ+IaEzgTJbZ7mgLnZ6ObXaZgDAWOff44Cu62AY5rdro5sO
 FE/RLYGFSYaMgt7pk2rPZ05+4Larv/Fs+NTRq0NAjCfe04ASkhDXBbB0YsAa
 KViGguF5GBQrGo7EwNo18KwIUTPCHuegSkAiDlMMwSZz46DOz11qMde33nff
 4/9ecXfd/hcfCtAzC3Zvbl8RIQ0pJoFPa/P4agXB1BDziQX7Tu7un9RXQ1wK
 i/bjFG3VBLYMHc5UnvJ2mTACAcPr4AkPxc+jvlJHdm8nOqracNvdAsxmFiv+
 lKGmWkYPe/utl3f9O8VjDgBixL96/fq9L8Zlqbf75DM4c45HUI/lOV0UhlSK
 ZIbAs5eBmkPhLAAIb4R+2qk0+xp4cwqFxUXBmRmogoIYNCTmWNEvJ4g+NzPQ
 aRTlmwWakWp7dMnLL+/6KSc9Lwr/szh8MYkFAJc1oZecVH93O6lCVNIgtfBw
 5UbBshQUgCmewpRI4DlCoHgJkgtUuKxpR9LQZ5W3PtS93RMRpQ4d0XYg6qEI
 nlVxSTaL/aUx7NliwOlTRliN2e4BvQaXz3/5teYfROUlczGw3xBQSskvBf9d
 JOYMZqekSYhFdMgeDrqkI9TKINxMEGmliPpYcFaKzEIWHV4dLbUaos7jPUPC
 2cC8SW8mZJkKn+Hqk3epVQ6f/ygPz1Fg5fsadh8yolbVIObxpKqhphOnxlEA
 mD59+ncAju+ostw4bcjUK8f3PvrE/UXFTz4wtddzTz0pns8vLi6+sA/cccc1
 lrZORxq95/zWweFLcMrvoS26D1CMkHQFMcjQLVGwcRph7ApYIwNLvAoulOAf
 4ro/87lHnvMDwIuvv5i88I15B1RnR6IjXUNcFoEYx4AXKFhPBuyBS54w+jFv
 +Yfr8eTzUy01zVUT2tnqvzAprclyLIqMs/1wVdZYtPm8ta1EfyEpPvl9T2tz
 TOQ4zJo37ztCRUVF30+hO+8ch2XLNsidM7se7xIoCCcZk/dKMvd+si1rY15a
 zy9NUcNiNmx4p4u717eiz+1Vaiy2wFnVEQ1oENwxQ9s5n+l0hWfTvIXz8PiM
 x0MTrp+wq66hdqTKxewsBwpQolEKwRmjqqwNa/dJPS+9Ine613RoXsBZdVOE
 b7HWVUrQWB2RpFYaag3h1p5jHT1TUq4xMPp0XaVjIpLE53frVrv3wIFISUkJ
 pk2bhvLy8u8tMOXe67F86ec/Mk+AUmL/CYV4RtGDXSsqdj3m5etvsFgdyq3X
 F6XPuO9heebj0zF/3ut4+i+PZn5V9vnmVlqbbYpXqMEBwlgBA2ekblMyIfYI
 ApEWGm6hJHraEnVEu2wIUl8mMhv6mTuBdm7PIY90m4FLOuVQlWOIJxJG5blz
 sYPVZ3e0x+Riwc7tfGnugubi4nk/r0psP7LK/G24OfJY4YyflLkXvPKqvWzv
 lrTPV39x9Mci1GrmteVz3q0Pn7ydmBUY7QSiEzBaCGSFQm7hYY0k7+2a0PeO
 ZcWfngCAkbf22dFoqhgcn8uA9Vhwlfl6TC6ciLNN9YiLT4JkElD2zUGU7N7Q
 cs3Ya3KKih7v+BnwqwEAn25923Zmd+RH+UuWLPleO5o2+Qd5q1atAgAcPtPI
 jri+cGTf0RnlmZeZaepgQjOHWbQh43t8OOaWwYUbSzcLALBgwbMAgCdnThUG
 3dD1ve5TQIf/ldWHzmPouFkp9NGnRtE5j91HNyxaRMtWrtTXvPk6nXLLTR9d
 cIlavaX4/7TQlQQAVtO/k9q+/dmLWuLOEwGAiZOvG3Pp4JwFI68atvfVP7/i
 /qnyN0wehU9KNgjj7r+sPGscR4c8adJHvMLSkS/zdODjhBbenER7TBL0gglG
 2m9AXvWv0kbXNS1lrScaNMXWBaP73H7R9VJTU9HQ0HDBcqVHVlrDctsNK975
 7IGdlfv6c4kSBI4Hy6mwWgVo0MC2pJ67aeB13WbOXBD7RTup1XQ1rk2+VwNA
 dFXtvXbnW8n/StH753Qx4Dft+ShO1r13m4ya6/Y7R23tmd3rWT4oQDRqMBg5
 KCETzL6cz0xSVq+ZMxfE5s9/+LcdMX2+b8kQVjEc58wRNqiObjEb13YPhb1i
 Io2rHD5gpnLRVt3/pug0mPN8sifdKDr7kli0UYTlfYVXsj/65LMFRw/VmYmi
 7+yafum6ZUs+3pEz1oWqkvbfeEZGv6/9VeXCkQxjMHn9wa84EizkRAzTGOMR
 kfLro1qzMqHfiwCAU6c2AgByc6/CqlWrQQhlJ06cpG08Pne4QMx38cTUpITV
 UinsLVEFw3iq65wseW3uRPeKEXmPyEOHDkVZWdnvc9WgpGypINGY3WRkCkGY
 ZokJ+GNKR4Esh3vo0BsYQTwkcmiQ+EiEanGp0ZA/hVHDw+0mVy+HOfWo2WJd
 w8tK7Tlf40QrEy9HYvI5QVSS3A72o4FdZ0X/o3clth56I70jHHPZOKeZEw0N
 nuiJTIUJ95S0doVSEmNhsYOwHTxMdYzA1EWlWrsJ7r6CZhZkolTa2BRzLBZt
 nzD8j2UnW99D1/jJ/73LHuedesexEnMkVF8Q03VAlakuaCbGGHYG5AjPsmpd
 hpilx8IkS9LUcLgwccMkMvGifjfJfwL8v9omlx//glcYrzsWjCgKCfBOs8tb
 2O0uCQBW6aswiZl0wfb/F8PtPa0WdHxvAAAAAElFTkSuQmCC
