## openjazz 0.1-3

=== debian/changelog ===
openjazz (0.1-3) unstable; urgency=low

  * Changed data folder to MyDocs/.openjazz

 -- CepiPerez <cepiperez@gmail.com>  Thu, 22 Apr 2010 12:03:12 -0300
