## openjazz 0.1-4

=== debian/changelog ===
openjazz (0.1-4) unstable; urgency=low

  * Keyboard layout support

 -- CepiPerez <cepiperez@gmail.com>  Thu, 22 Apr 2010 12:13:05 -0300
