=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Architecture: armel
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: OpenJazz is a free, open-source version of the classic Jazz Jackrabbit games.
- To play, you will need the files from one of the original games. Copy them to /opt/openjazz folder.
+ To play, you will need the files from one of the original games. Copy them to MyDocs/.openjazz folder.
  Check http://www.alister.eu/jazz/oj/faq.php for supported versions.
 XSBC-Bugtracker: mailto:cepiperez@gmail.com
 XSBC-Maemo-Display-Name: OpenJazz
