=== debian/rules ===
--- 
+++ 
@@ -62,7 +62,8 @@
 	cp $(CURDIR)/src/modplug/libmodplug.so.0.0.0 $(CURDIR)/debian/openjazz/opt/openjazz/libmodplug.so.0
 	cp $(CURDIR)/OpenJazz $(CURDIR)/debian/openjazz/opt/openjazz/OpenJazz
 	cp $(CURDIR)/openjazz.000 $(CURDIR)/debian/openjazz/opt/openjazz/openjazz.000
-	cp $(CURDIR)/openjazz.sh $(CURDIR)/debian/openjazz/usr/bin/smw
+	cp $(CURDIR)/openjazz.sh $(CURDIR)/debian/openjazz/usr/bin/openjazz
+	cp $(CURDIR)/rename.sh $(CURDIR)/debian/openjazz/opt/openjazz/rename.sh
 
 
 # Build architecture-independent files here.
@@ -98,6 +99,7 @@
 #	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
+	cp $(CURDIR)/postinst $(CURDIR)/debian/openjazz/DEBIAN/postinst
 	dh_builddeb
 
 binary: binary-indep binary-arch
