## openjazz 0.1-5

=== debian/changelog ===
openjazz (0.1-5) unstable; urgency=low

  * Data files folder now can be MyDocs/.openjazz or MyDocs/.openjazz
  * Error message when no data files installed

 -- CepiPerez <cepiperez@gmail.com>  Thu, 22 Apr 2010 12:13:05 -0300
