=== debian/rules ===
--- 
+++ 
@@ -60,10 +60,9 @@
 	cp $(CURDIR)/icon-48.png $(CURDIR)/debian/openjazz/usr/share/icons/hicolor/48x48/hildon/openjazz.png
 	cp $(CURDIR)/icon-64.png $(CURDIR)/debian/openjazz/usr/share/icons/hicolor/64x64/hildon/openjazz.png
 	cp $(CURDIR)/src/modplug/libmodplug.so.0.0.0 $(CURDIR)/debian/openjazz/opt/openjazz/libmodplug.so.0
-	cp $(CURDIR)/OpenJazz $(CURDIR)/debian/openjazz/opt/openjazz/OpenJazz
+	cp $(CURDIR)/OpenJazz $(CURDIR)/debian/openjazz/opt/openjazz/openjazz
 	cp $(CURDIR)/openjazz.000 $(CURDIR)/debian/openjazz/opt/openjazz/openjazz.000
 	cp $(CURDIR)/openjazz.sh $(CURDIR)/debian/openjazz/usr/bin/openjazz
-	cp $(CURDIR)/rename.sh $(CURDIR)/debian/openjazz/opt/openjazz/rename.sh
 
 
 # Build architecture-independent files here.
