=== debian/changelog ===
openjazz (20190106-3build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:52:42 +0100

openjazz (20190106-3) unstable; urgency=medium

  * Modify the TryExec line in the HH95 desktop file to point
    to an actual executable instead of a directory.

 -- Fabian Greffrath <fabian@debian.org>  Sat, 30 Nov 2019 00:28:02 +0100

openjazz (20190106-2) unstable; urgency=medium

  * Generate and install a separate desktop file for
    Jazz Jackrabbit Holiday Hare '95 (Closes: #942032).
  * Bump debhelper-compat to 12.
  * Bump Standards-Version to 4.4.1.
  * Rules-Requires-Root: no.
  * Add a Comment paragraph to debian/copyright explaining
    why the package is in the contrib section.
  * Apply some post-release commits from the upstream GIT repository.

 -- Fabian Greffrath <fabian@debian.org>  Thu, 28 Nov 2019 17:10:53 +0100

openjazz (20190106-1) unstable; urgency=medium

  * New upstream version 20190106.
  * Remove all patches that were backported
    from the upstream GIT repository.
  * Generate manpage from POD template.

 -- Fabian Greffrath <fabian@debian.org>  Tue, 08 Jan 2019 17:06:15 +0100

openjazz (20180522-3) unstable; urgency=medium

  * Fix debian/watch file.
  * Recommend a recent enough version of game-data-packager.
  * Install OJ main menu emblem into DATAPATH.

 -- Fabian Greffrath <fabian@debian.org>  Sat, 22 Dec 2018 20:59:37 +0100

openjazz (20180522-2) unstable; urgency=medium

  * Put package under Debian Games Team maintenance,
    move myself to Uploaders.
  * Apply some post-release patches from the upstream GIT repo.
  * Install a man page generated from upstream's own
    unix/OpenJazz.6.pod template.

 -- Fabian Greffrath <fabian@debian.org>  Sat, 20 Oct 2018 23:51:02 +0200

openjazz (20180522-1) unstable; urgency=medium

  * Initial release (Closes: #898301).

 -- Fabian Greffrath <fabian@debian.org>  Wed, 04 Jul 2018 20:53:10 +0200
