=== debian/control ===
Source: openjazz
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Fabian Greffrath <fabian@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 libmodplug-dev,
 libsdl1.2-dev,
 pkg-config,
 zlib1g-dev
Standards-Version: 4.4.1
Homepage: http://www.alister.eu/jazz/oj/
Vcs-Browser: https://salsa.debian.org/games-team/openjazz
Vcs-Git: https://salsa.debian.org/games-team/openjazz.git
Rules-Requires-Root: no

Package: openjazz
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 game-data-packager (>= 62~)
Description: Jazz Jackrabbit™ game engine reimplementation
 OpenJazz is a free, open-source version of the classic Jazz Jackrabbit™ games.
 .
 Jazz Jackrabbit™ is a PC platform game. Produced by Epic Games (then Epic
 MegaGames), it was first released in 1994. The fast-paced, colourful gameplay
 proved popular, and the game won PC Format's Arcade Game of the Year award.
 Many people still fondly recall the shareware versions.
 .
 With the demise of DOS-based operating systems, it has become necessary to use
 emulators to play old DOS games. Jazz Jackrabbit™ deserves more - and would
 benefit greatly from new features.
 .
 To play, you will need the files from one of the original games. Current
 releases of `game-data-packager' are able to generate a suitable data package
 from the Jazz Jackrabbit Collection as published on GOG.
