=== debian/watch ===
version=4
opts="uversionmangle=s/-/~/" \
https://github.com/AlisterT/@PACKAGE@/releases \
/AlisterT/@PACKAGE@/archive/@ANY_VERSION@@ARCHIVE_EXT@
