=== debian/changelog ===
openjazz (20231028-2) unstable; urgency=medium

  * Apply some post-release upstream patches.

 -- Fabian Greffrath <fabian@debian.org>  Mon, 20 Nov 2023 08:58:01 +0100

openjazz (20231028-1) unstable; urgency=medium

  * New upstream version 20231028.
  * Remove all patches, applied (or solved differently) upstream.
  * Adjust Build-Depends to new upstream release:
    + Add asciidoctor and cmake,
    + Replace libsdl1.2-dev with libsdl2-dev (Closes: #1038523),
    + Remove libmodplug-dev and zlib1g-dev.
  * Adapt debian/rules to upstream build system changes.
  * Update debian/copyright.

 -- Fabian Greffrath <fabian@debian.org>  Tue, 31 Oct 2023 09:00:09 +0100

openjazz (20190106-4) unstable; urgency=medium

  [ Reiner Herrmann ]
  * Fix watch file

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.1, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Fabian Greffrath ]
  * Update debian/watch file (Closes: #1037518).
  * Bump Standards-Version to 4.6.2.
  * Change Homepage field to Github project page.
  * Mention unapplied patch as a comment in patches/series file.
  * Mark homedir.patch as forwarded upstream.
  * Update Debian packaging copyright.

 -- Fabian Greffrath <fabian@debian.org>  Fri, 23 Jun 2023 11:56:11 +0200
