=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Uploaders:
  Fabian Greffrath <fabian@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
- libmodplug-dev,
- libsdl1.2-dev,
+ asciidoctor,
+ cmake,
+ debhelper-compat (= 13),
+ libsdl2-dev,
  pkg-config,
- zlib1g-dev
-Standards-Version: 4.4.1
-Homepage: http://www.alister.eu/jazz/oj/
+Standards-Version: 4.6.2
+Homepage: https://github.com/AlisterT/openjazz
 Vcs-Browser: https://salsa.debian.org/games-team/openjazz
 Vcs-Git: https://salsa.debian.org/games-team/openjazz.git
 Rules-Requires-Root: no
@@ -22,7 +22,7 @@
  ${misc:Depends},
  ${shlibs:Depends}
 Recommends:
- game-data-packager (>= 62~)
+ game-data-packager
 Description: Jazz Jackrabbit™ game engine reimplementation
  OpenJazz is a free, open-source version of the classic Jazz Jackrabbit™ games.
  .
