## openjazz 20240919

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
-cmake_minimum_required(VERSION 3.16...3.27)
+cmake_minimum_required(VERSION 3.16...3.29)
 
 project(OpenJazz
-	VERSION 20231028
+	VERSION 20240919
 	LANGUAGES CXX
 	HOMEPAGE_URL http://alister.eu/jazz/oj/)
 
@@ -12,9 +12,9 @@
 include(OJ-misc)
 include(Platform-Helpers)
 
-# We are in the process to migrate to C++11
-
-set(CMAKE_CXX_STANDARD 11)
+# We are in the process to migrate to C++14
+
+set(CMAKE_CXX_STANDARD 14)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 # OpenJazz
@@ -56,6 +56,7 @@
 	src/logo.h
 	src/loop.h
 	src/main.cpp
+	src/menu/filemenu.cpp
 	src/menu/gamemenu.cpp
 	src/menu/mainmenu.cpp
 	src/menu/menu.cpp
@@ -69,6 +70,7 @@
 	src/player/player.h
 	src/setup.cpp
 	src/setup.h
+	src/types.h
 	src/util.cpp
 	src/util.h
 	src/version.cpp
@@ -98,6 +100,8 @@
 	src/jj1/level/jj1levelload.cpp
 	src/jj1/planet/jj1planet.cpp
 	src/jj1/planet/jj1planet.h
+	src/jj1/save/jj1save.cpp
+	src/jj1/save/jj1save.h
 	src/jj1/scene/jj1scene.cpp
 	src/jj1/scene/jj1scene.h
 	src/jj1/scene/jj1sceneload.cpp)
@@ -126,7 +130,12 @@
 
 # libraries
 
-if(LEGACY_SDL)
+if(EMSCRIPTEN)
+	# emscripten ships a "port" of SDL2
+	set(OJ_LIBS_SDL "SDL2")
+	set(SDL_STATUS "SDL2 (emscripten port)")
+	target_compile_options(OpenJazz PRIVATE "--use-port=sdl2;-flto;-fexceptions")
+elseif(LEGACY_SDL)
 	find_package(SDL REQUIRED)
 	target_include_directories(OpenJazz PRIVATE ${SDL_INCLUDE_DIR})
 	set(OJ_LIBS_SDL ${SDL_LIBRARY})
@@ -207,7 +216,7 @@
 # Do not include a hash, if we are building a release tag
 if(NOT GIT_TAG)
 	# otherwise concatenate a version with hash
-	git_describe(GIT_DESCRIPTION)
+	git_describe(GIT_DESCRIPTION --exclude continuous)
 	if(GIT_DESCRIPTION)
 		string(REPLACE "-" ";" GIT_DESCRIPTION ${GIT_DESCRIPTION})
 		list(LENGTH GIT_DESCRIPTION GIT_DESCRIPTION_PARTS)
@@ -256,6 +265,16 @@
 	set_target_properties(OpenJazz PROPERTIES WIN32_EXECUTABLE $<$<NOT:$<CONFIG:Debug>>:TRUE>)
 	# add icon
 	target_sources(OpenJazz PRIVATE res/windows/OpenJazz.rc)
+elseif(EMSCRIPTEN)
+	set_target_properties(OpenJazz PROPERTIES SUFFIX ".html")
+	set(JS_SHELL "${CMAKE_CURRENT_SOURCE_DIR}/res/emscripten/shell.html")
+
+	set_property(TARGET OpenJazz PROPERTY LINK_FLAGS
+		"--shell-file ${JS_SHELL} -sMINIFY_HTML=0 -flto --use-port=sdl2
+		 -sFORCE_FILESYSTEM -sEXIT_RUNTIME=1 -sASYNCIFY
+		 -sENVIRONMENT=web --closure 1 -sEXPORTED_RUNTIME_METHODS=['allocate']
+		 -sASSERTIONS -sNO_DISABLE_EXCEPTION_CATCHING")
+	set_source_files_properties("src/main.cpp" PROPERTIES OBJECT_DEPENDS "${JS_SHELL}")
 elseif(RISCOS)
 	target_sources(OpenJazz PRIVATE
 		src/platforms/riscos.cpp
@@ -314,7 +333,29 @@
 
 if(WIN32)
 	# put everything in a folder
-	install(TARGETS OpenJazz DESTINATION dist)
+	install(TARGETS OpenJazz RUNTIME DESTINATION dist)
+	install(CODE [[
+		file(GET_RUNTIME_DEPENDENCIES
+			EXECUTABLES
+				$<TARGET_FILE:OpenJazz>
+			RESOLVED_DEPENDENCIES_VAR _r_deps
+			UNRESOLVED_DEPENDENCIES_VAR _u_deps
+			DIRECTORIES
+				$<TARGET_FILE_DIR:SDL2::SDL2>
+		)
+		foreach(_file ${_r_deps})
+			string(TOLOWER ${_file} _file_lower)
+			if(NOT ${_file_lower} MATCHES "c:[\\/]windows[\\/]system32.*")
+				file(INSTALL
+					DESTINATION dist
+					TYPE SHARED_LIBRARY
+					FOLLOW_SYMLINK_CHAIN
+					FILES "${_file}"
+				)
+			endif()
+		endforeach()
+		#message("UNRESOLVED_DEPENDENCIES_VAR: ${_u_deps}")
+		]])
 elseif(3DS)
 	install(FILES ${CMAKE_CURRENT_BINARY_DIR}/OpenJazz.3dsx
 		DESTINATION OpenJazz COMPONENT 3ds)
@@ -361,47 +402,3 @@
 set(CPACK_GENERATOR "ZIP")
 set(CPACK_SOURCE_GENERATOR ";") # disable
 set(CPACK_ARCHIVE_COMPONENT_INSTALL ON) # split archives
-set(CPACK_PACKAGE_FILE_NAME "OpenJazz-${PROJECT_VERSION}")
-set(CPACK_ARCHIVE_DEBUG_FILE_NAME "${CPACK_PACKAGE_FILE_NAME}-debug")
-set(CPACK_COMPONENT_INCLUDE_TOPLEVEL_DIRECTORY OFF) # we do this manually
-include(CPack)
-
-# manual page
-
-find_program(ASCIIDOCTOR_EXECUTABLE asciidoctor)
-set(MANUAL_STATUS "Unavailable")
-set(MAN_PATH "res/unix/OpenJazz.6")
-if(ASCIIDOCTOR_EXECUTABLE)
-	add_custom_command(OUTPUT ${MAN_PATH}
-		COMMAND ${CMAKE_COMMAND} -E make_directory ${CMAKE_CURRENT_BINARY_DIR}/res/unix
-		COMMAND ${ASCIIDOCTOR_EXECUTABLE} -a oj_version="${PROJECT_VERSION}"
-			-b manpage -o ${CMAKE_CURRENT_BINARY_DIR}/${MAN_PATH}
-			${CMAKE_CURRENT_SOURCE_DIR}/${MAN_PATH}.adoc
-		DEPENDS ${MAN_PATH}.adoc
-		COMMENT "(Re-)building manual page"
-		VERBATIM)
-	if(UNIX)
-		add_custom_target(man ALL DEPENDS ${MAN_PATH})
-		install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${MAN_PATH}
-			DESTINATION ${CMAKE_INSTALL_MANDIR}/man6)
-		set(MANUAL_STATUS "Generated")
-	else()
-		add_custom_target(man DEPENDS ${MAN_PATH})
-		set(MANUAL_STATUS "Optional")
-	endif()
-else()
-	# distribution archive?
-	if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${MAN_PATH})
-		if(UNIX)
-			install(FILES ${MAN_PATH} DESTINATION ${CMAKE_INSTALL_MANDIR}/man6)
-		endif()
-		set(MANUAL_STATUS "Bundled")
-	endif()
-endif()
-unset(MAN_PATH)
-
-# Print short summary
-message(STATUS "")
-message(STATUS "OpenJazz")
-message(STATUS "========")
-message(STATUS "Version: ${PROJECT_VERSION}")
