=== debian/changelog ===
openjazz (20240919-1) unstable; urgency=medium

  * New upstream version 20240919
  * Remove patches backported from upstream
  * Replace Build-Depends: pkg-config with pkgconf
  * Bump Standards-Version to 4.7.0
  * Bump Debian packaging copyright year

 -- Fabian Greffrath <fabian@debian.org>  Fri, 27 Sep 2024 08:46:24 +0200
