=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
  cmake,
  debhelper-compat (= 13),
  libsdl2-dev,
- pkg-config,
-Standards-Version: 4.6.2
+ pkgconf,
+Standards-Version: 4.7.0
 Homepage: https://github.com/AlisterT/openjazz
 Vcs-Browser: https://salsa.debian.org/games-team/openjazz
 Vcs-Git: https://salsa.debian.org/games-team/openjazz.git
